<?php
header('Content-Type: application/json');
header('Access-Control-Allow-Origin: *');

// Incluimos nuestro archivo de conexi¨Žn
require_once 'conexion.php';

$sql = "SELECT * FROM tm_empresa LIMIT 1";

$result = mysqli_query($conn, $sql);
if (!$result) {
    echo json_encode(["error" => "Error en la consulta de empresa: " . mysqli_error($conn)]);
    mysqli_close($conn);
    exit;
}

$data = [];
// Usamos fetch_assoc una vez ya que solo esperamos una fila
if ($row = mysqli_fetch_assoc($result)) {
    $data[] = $row;
}

mysqli_close($conn);
echo json_encode($data);
?>